.login {
  margin-top: 5%;
}

.socket {
  width: 200px;
  height: 200px;
}

.socket .hex-brick {
  background: var(#32333d);
  width: 30px;
  height: 17px;
  position: absolute;
  top: 5px;
  animation-name: fade;
  animation-duration: 2s;
  animation-iteration-count: infinite;
  -webkit-animation-name: fade;
  -webkit-animation-duration: 2s;
  -webkit-animation-iteration-count: infinite;
}

.socket .h2 {
  transform: rotate(60deg);
  -webkit-transform: rotate(60deg);
}

.socket .h3 {
  transform: rotate(-60deg);
  -webkit-transform: rotate(-60deg);
}

.socket .gel {
  height: 30px;
  width: 30px;
  transition: all .3s;
  -webkit-transition: all .3s;
  position: absolute;
  top: 50%;
  left: 50%;
}

.socket .center-gel {
  margin-left: -15px;
  margin-top: -15px;
  animation-name: pulse;
  animation-duration: 2s;
  animation-iteration-count: infinite;
  -webkit-animation-name: pulse;
  -webkit-animation-duration: 2s;
  -webkit-animation-iteration-count: infinite;
}

.socket .c1 {
  margin-left: -47px;
  margin-top: -15px;
}

.socket .c2 {
  margin-left: -31px;
  margin-top: -43px;
}

.socket .c3 {
  margin-left: 1px;
  margin-top: -43px;
}

.socket .c4 {
  margin-left: 17px;
  margin-top: -15px;
}

.socket .c5 {
  margin-left: -31px;
  margin-top: 13px;
}

.socket .c6 {
  margin-left: 1px;
  margin-top: 13px;
}

.socket .c7 {
  margin-left: -63px;
  margin-top: -43px;
}

.socket .c8 {
  margin-left: 33px;
  margin-top: -43px;
}

.socket .c9 {
  margin-left: -15px;
  margin-top: 41px;
}

.socket .c10 {
  margin-left: -63px;
  margin-top: 13px;
}

.socket .c11 {
  margin-left: 33px;
  margin-top: 13px;
}

.socket .c12 {
  margin-left: -15px;
  margin-top: -71px;
}

.socket .c13 {
  margin-left: -47px;
  margin-top: -71px;
}

.socket .c14 {
  margin-left: 17px;
  margin-top: -71px;
}

.socket .c15 {
  margin-left: -47px;
  margin-top: 41px;
}

.socket .c16 {
  margin-left: 17px;
  margin-top: 41px;
}

.socket .c17 {
  margin-left: -79px;
  margin-top: -15px;
}

.socket .c18 {
  margin-left: 49px;
  margin-top: -15px;
}

.socket .c19 {
  margin-left: -63px;
  margin-top: -99px;
}

.socket .c20 {
  margin-left: 33px;
  margin-top: -99px;
}

.socket .c21 {
  margin-left: 1px;
  margin-top: -99px;
}

.socket .c22 {
  margin-left: -31px;
  margin-top: -99px;
}

.socket .c23 {
  margin-left: -63px;
  margin-top: 69px;
}

.socket .c24 {
  margin-left: 33px;
  margin-top: 69px;
}

.socket .c25 {
  margin-left: 1px;
  margin-top: 69px;
}

.socket .c26 {
  margin-left: -31px;
  margin-top: 69px;
}

.socket .c27 {
  margin-left: -79px;
  margin-top: -15px;
}

.socket .c28 {
  margin-left: -95px;
  margin-top: -43px;
}

.socket .c29 {
  margin-left: -95px;
  margin-top: 13px;
}

.socket .c30 {
  margin-left: 49px;
  margin-top: 41px;
}

.socket .c31 {
  margin-left: -79px;
  margin-top: -71px;
}

.socket .c32 {
  margin-left: -111px;
  margin-top: -15px;
}

.socket .c33 {
  margin-left: 65px;
  margin-top: -43px;
}

.socket .c34 {
  margin-left: 65px;
  margin-top: 13px;
}

.socket .c35 {
  margin-left: -79px;
  margin-top: 41px;
}

.socket .c36 {
  margin-left: 49px;
  margin-top: -71px;
}

.socket .c37 {
  margin-left: 81px;
  margin-top: -15px;
}

.socket .r1 {
  animation-name: pulse;
  animation-duration: 2s;
  animation-iteration-count: infinite;
  animation-delay: .2s;
  -webkit-animation-name: pulse;
  -webkit-animation-duration: 2s;
  -webkit-animation-iteration-count: infinite;
  -webkit-animation-delay: .2s;
}

.socket .r2 {
  animation-name: pulse;
  animation-duration: 2s;
  animation-iteration-count: infinite;
  animation-delay: .4s;
  -webkit-animation-name: pulse;
  -webkit-animation-duration: 2s;
  -webkit-animation-iteration-count: infinite;
  -webkit-animation-delay: .4s;
}

.socket .r3 {
  animation-name: pulse;
  animation-duration: 2s;
  animation-iteration-count: infinite;
  animation-delay: .6s;
  -webkit-animation-name: pulse;
  -webkit-animation-duration: 2s;
  -webkit-animation-iteration-count: infinite;
  -webkit-animation-delay: .6s;
}

.socket .r1 > .hex-brick {
  animation-name: fade;
  animation-duration: 2s;
  animation-iteration-count: infinite;
  animation-delay: .2s;
  -webkit-animation-name: fade;
  -webkit-animation-duration: 2s;
  -webkit-animation-iteration-count: infinite;
  -webkit-animation-delay: .2s;
}

.socket .r2 > .hex-brick {
  animation-name: fade;
  animation-duration: 2s;
  animation-iteration-count: infinite;
  animation-delay: .4s;
  -webkit-animation-name: fade;
  -webkit-animation-duration: 2s;
  -webkit-animation-iteration-count: infinite;
  -webkit-animation-delay: .4s;
}

.socket .r3 > .hex-brick {
  animation-name: fade;
  animation-duration: 2s;
  animation-iteration-count: infinite;
  animation-delay: .6s;
  -webkit-animation-name: fade;
  -webkit-animation-duration: 2s;
  -webkit-animation-iteration-count: infinite;
  -webkit-animation-delay: .6s;
}

@keyframes pulse {
  0% {
    -webkit-transform: scale(1);
    transform: scale(1);
  }
  50% {
    -webkit-transform: scale(0.01);
    transform: scale(0.01);
  }
  100% {
    -webkit-transform: scale(1);
    transform: scale(1);
  }
}

@keyframes fade {
  0% {
    background: var(--mud-palette-primary);
  }
  50% {
    background: var(--mud-palette-primary-lighten);
  }
  100% {
    background: --mud-palette-primary;
  }
}

@-webkit-keyframes pulse {
  0% {
    -webkit-transform: scale(1);
    transform: scale(1);
  }
  50% {
    -webkit-transform: scale(0.01);
    transform: scale(0.01);
  }
  100% {
    -webkit-transform: scale(1);
    transform: scale(1);
  }
}

@-webkit-keyframes fade {
  0% {
    background: var(--mud-palette-primary);
  }
  50% {
    background: var(--mud-palette-primary-lighten);
  }
  100% {
    background: var(--mud-palette-primary);
  }
}

:root {
  --mud-palette-black: #27272f;
  --mud-palette-white: #FFFFFF;
  --mud-palette-primary: #594AE2;
  --mud-palette-primary-rgb: 89,74,226;
  --mud-palette-primary-text: #FFFFFF;
  --mud-palette-primary-darken: rgb(59,41,221);
  --mud-palette-primary-lighten: rgb(119,107,231);
  --mud-palette-primary-hover: rgba(89,74,226, 0.06);
  --mud-palette-secondary: #FF4081;
  --mud-palette-secondary-rgb: 255,64,129;
  --mud-palette-secondary-text: #FFFFFF;
  --mud-palette-secondary-darken: rgb(255,26,104);
  --mud-palette-secondary-lighten: rgb(255,102,154);
  --mud-palette-secondary-hover: rgba(255,64,129, 0.06);
  --mud-palette-tertiary: #1EC8A5;
  --mud-palette-tertiary-rgb: 30,200,165;
  --mud-palette-tertiary-text: #FFFFFF;
  --mud-palette-tertiary-darken: rgb(25,167,138);
  --mud-palette-tertiary-lighten: rgb(45,223,187);
  --mud-palette-tertiary-hover: rgba(30,200,165, 0.06);
  --mud-palette-info: #2196F3;
  --mud-palette-info-rgb: 33,150,243;
  --mud-palette-info-text: #FFFFFF;
  --mud-palette-info-darken: rgb(12,131,226);
  --mud-palette-info-lighten: rgb(69,167,245);
  --mud-palette-info-hover: rgba(33,150,243, 0.06);
  --mud-palette-success: #00C853;
  --mud-palette-success-rgb: 0,200,83;
  --mud-palette-success-text: #FFFFFF;
  --mud-palette-success-darken: rgb(0,162,67);
  --mud-palette-success-lighten: rgb(0,238,99);
  --mud-palette-success-hover: rgba(0,200,83, 0.06);
  --mud-palette-warning: #FF9800;
  --mud-palette-warning-rgb: 255,152,0;
  --mud-palette-warning-text: #FFFFFF;
  --mud-palette-warning-darken: rgb(217,129,0);
  --mud-palette-warning-lighten: rgb(255,167,38);
  --mud-palette-warning-hover: rgba(255,152,0, 0.06);
  --mud-palette-error: #F44336;
  --mud-palette-error-rgb: 244,67,54;
  --mud-palette-error-text: #FFFFFF;
  --mud-palette-error-darken: rgb(242,33,18);
  --mud-palette-error-lighten: rgb(246,101,90);
  --mud-palette-error-hover: rgba(244,67,54, 0.06);
  --mud-palette-dark: #424242;
  --mud-palette-dark-rgb: 66,66,66;
  --mud-palette-dark-text: #FFFFFF;
  --mud-palette-dark-darken: rgb(47,47,47);
  --mud-palette-dark-lighten: rgb(85,85,85);
  --mud-palette-dark-hover: rgba(66,66,66, 0.06);
  --mud-palette-text-primary: rgba(255,255,255, 0.70);
  --mud-palette-text-secondary: rgba(255,255,255, 0.50);
  --mud-palette-text-disabled: rgba(255,255,255, 0.2);
  --mud-palette-action-default: #adadb1;
  --mud-palette-action-default-hover: rgba(0,0,0, 0.06);
  --mud-palette-action-disabled: rgba(255,255,255, 0.26);
  --mud-palette-action-disabled-background: rgba(255,255,255, 0.12);
  --mud-palette-surface: #373740;
  --mud-palette-background: #32333d;
  --mud-palette-background-grey: #27272f;
  --mud-palette-drawer-background: #27272f;
  --mud-palette-drawer-text: rgba(255,255,255, 0.50);
  --mud-palette-drawer-icon: rgba(255,255,255, 0.50);
  --mud-palette-appbar-background: #27272f;
  --mud-palette-appbar-text: rgba(255,255,255, 0.70);
  --mud-palette-lines-default: rgba(255,255,255, 0.12);
  --mud-palette-lines-inputs: rgba(255,255,255, 0.3);
  --mud-palette-table-lines: rgba(255,255,255, 0.12);
  --mud-palette-table-striped: rgba(0,0,0, 0.02);
  --mud-palette-table-hover: rgba(0,0,0, 0.04);
  --mud-palette-divider: rgba(255,255,255, 0.12);
  --mud-palette-divider-light: rgba(255,255,255, 0.06);
  --mud-palette-grey-default: #9E9E9E;
  --mud-palette-grey-light: #BDBDBD;
  --mud-palette-grey-lighter: #E0E0E0;
  --mud-palette-grey-dark: #757575;
  --mud-palette-grey-darker: #616161;
  --mud-palette-overlay-dark: rgba(33,33,33, 0.5);
  --mud-palette-overlay-light: rgba(255,255,255, 0.5);
  --mud-elevation-0: none;
  --mud-elevation-1: 0px 2px 1px -1px rgba(0,0,0,0.2),0px 1px 1px 0px rgba(0,0,0,0.14),0px 1px 3px 0px rgba(0,0,0,0.12);
  --mud-elevation-2: 0px 3px 1px -2px rgba(0,0,0,0.2),0px 2px 2px 0px rgba(0,0,0,0.14),0px 1px 5px 0px rgba(0,0,0,0.12);
  --mud-elevation-3: 0px 3px 3px -2px rgba(0,0,0,0.2),0px 3px 4px 0px rgba(0,0,0,0.14),0px 1px 8px 0px rgba(0,0,0,0.12);
  --mud-elevation-4: 0px 2px 4px -1px rgba(0,0,0,0.2),0px 4px 5px 0px rgba(0,0,0,0.14),0px 1px 10px 0px rgba(0,0,0,0.12);
  --mud-elevation-5: 0px 3px 5px -1px rgba(0,0,0,0.2),0px 5px 8px 0px rgba(0,0,0,0.14),0px 1px 14px 0px rgba(0,0,0,0.12);
  --mud-elevation-6: 0px 3px 5px -1px rgba(0,0,0,0.2),0px 6px 10px 0px rgba(0,0,0,0.14),0px 1px 18px 0px rgba(0,0,0,0.12);
  --mud-elevation-7: 0px 4px 5px -2px rgba(0,0,0,0.2),0px 7px 10px 1px rgba(0,0,0,0.14),0px 2px 16px 1px rgba(0,0,0,0.12);
  --mud-elevation-8: 0px 5px 5px -3px rgba(0,0,0,0.2),0px 8px 10px 1px rgba(0,0,0,0.14),0px 3px 14px 2px rgba(0,0,0,0.12);
  --mud-elevation-9: 0px 5px 6px -3px rgba(0,0,0,0.2),0px 9px 12px 1px rgba(0,0,0,0.14),0px 3px 16px 2px rgba(0,0,0,0.12);
  --mud-elevation-10: 0px 6px 6px -3px rgba(0,0,0,0.2),0px 10px 14px 1px rgba(0,0,0,0.14),0px 4px 18px 3px rgba(0,0,0,0.12);
  --mud-elevation-11: 0px 6px 7px -4px rgba(0,0,0,0.2),0px 11px 15px 1px rgba(0,0,0,0.14),0px 4px 20px 3px rgba(0,0,0,0.12);
  --mud-elevation-12: 0px 7px 8px -4px rgba(0,0,0,0.2),0px 12px 17px 2px rgba(0,0,0,0.14),0px 5px 22px 4px rgba(0,0,0,0.12);
  --mud-elevation-13: 0px 7px 8px -4px rgba(0,0,0,0.2),0px 13px 19px 2px rgba(0,0,0,0.14),0px 5px 24px 4px rgba(0,0,0,0.12);
  --mud-elevation-14: 0px 7px 9px -4px rgba(0,0,0,0.2),0px 14px 21px 2px rgba(0,0,0,0.14),0px 5px 26px 4px rgba(0,0,0,0.12);
  --mud-elevation-15: 0px 8px 9px -5px rgba(0,0,0,0.2),0px 15px 22px 2px rgba(0,0,0,0.14),0px 6px 28px 5px rgba(0,0,0,0.12);
  --mud-elevation-16: 0px 8px 10px -5px rgba(0,0,0,0.2),0px 16px 24px 2px rgba(0,0,0,0.14),0px 6px 30px 5px rgba(0,0,0,0.12);
  --mud-elevation-17: 0px 8px 11px -5px rgba(0,0,0,0.2),0px 17px 26px 2px rgba(0,0,0,0.14),0px 6px 32px 5px rgba(0,0,0,0.12);
  --mud-elevation-18: 0px 9px 11px -5px rgba(0,0,0,0.2),0px 18px 28px 2px rgba(0,0,0,0.14),0px 7px 34px 6px rgba(0,0,0,0.12);
  --mud-elevation-19: 0px 9px 12px -6px rgba(0,0,0,0.2),0px 19px 29px 2px rgba(0,0,0,0.14),0px 7px 36px 6px rgba(0,0,0,0.12);
  --mud-elevation-20: 0px 10px 13px -6px rgba(0,0,0,0.2),0px 20px 31px 3px rgba(0,0,0,0.14),0px 8px 38px 7px rgba(0,0,0,0.12);
  --mud-elevation-21: 0px 10px 13px -6px rgba(0,0,0,0.2),0px 21px 33px 3px rgba(0,0,0,0.14),0px 8px 40px 7px rgba(0,0,0,0.12);
  --mud-elevation-22: 0px 10px 14px -6px rgba(0,0,0,0.2),0px 22px 35px 3px rgba(0,0,0,0.14),0px 8px 42px 7px rgba(0,0,0,0.12);
  --mud-elevation-23: 0px 11px 14px -7px rgba(0,0,0,0.2),0px 23px 36px 3px rgba(0,0,0,0.14),0px 9px 44px 8px rgba(0,0,0,0.12);
  --mud-elevation-24: 0px 11px 15px -7px rgba(0,0,0,0.2),0px 24px 38px 3px rgba(0,0,0,0.14),0px 9px 46px 8px rgba(0,0,0,0.12);
  --mud-elevation-25: 0 5px 5px -3px rgba(0,0,0,.06), 0 8px 10px 1px rgba(0,0,0,.042), 0 3px 14px 2px rgba(0,0,0,.036);
  --mud-default-borderradius: 4px;
  --mud-drawer-width-left: 240px;
  --mud-drawer-width-right: 240px;
  --mud-drawer-width-mini-left: 56px;
  --mud-drawer-width-mini-right: 56px;
  --mud-appbar-min-height: 64px;
  --mud-typography-default-family: 'Roboto','Helvetica','Arial','sans-serif';
  --mud-typography-default-size: .875rem;
  --mud-typography-default-weight: 400;
  --mud-typography-default-lineheight: 1.43;
  --mud-typography-default-letterspacing: .01071em;
  --mud-typography-h1-family: 'Roboto','Helvetica','Arial','sans-serif';
  --mud-typography-h1-size: 6rem;
  --mud-typography-h1-weight: 300;
  --mud-typography-h1-lineheight: 1.167;
  --mud-typography-h1-letterspacing: -.01562em;
  --mud-typography-h2-family: 'Roboto','Helvetica','Arial','sans-serif';
  --mud-typography-h2-size: 3.75rem;
  --mud-typography-h2-weight: 300;
  --mud-typography-h2-lineheight: 1.2;
  --mud-typography-h2-letterspacing: -.00833em;
  --mud-typography-h3-family: 'Roboto','Helvetica','Arial','sans-serif';
  --mud-typography-h3-size: 3rem;
  --mud-typography-h3-weight: 400;
  --mud-typography-h3-lineheight: 1.167;
  --mud-typography-h3-letterspacing: 0;
  --mud-typography-h4-family: 'Roboto','Helvetica','Arial','sans-serif';
  --mud-typography-h4-size: 2.125rem;
  --mud-typography-h4-weight: 400;
  --mud-typography-h4-lineheight: 1.235;
  --mud-typography-h4-letterspacing: .00735em;
  --mud-typography-h5-family: 'Roboto','Helvetica','Arial','sans-serif';
  --mud-typography-h5-size: 1.5rem;
  --mud-typography-h5-weight: 400;
  --mud-typography-h5-lineheight: 1.334;
  --mud-typography-h5-letterspacing: 0;
  --mud-typography-h6-family: 'Roboto','Helvetica','Arial','sans-serif';
  --mud-typography-h6-size: 1.25rem;
  --mud-typography-h6-weight: 500;
  --mud-typography-h6-lineheight: 1.6;
  --mud-typography-h6-letterspacing: .0075em;
  --mud-typography-subtitle1-family: 'Roboto','Helvetica','Arial','sans-serif';
  --mud-typography-subtitle1-size: 1rem;
  --mud-typography-subtitle1-weight: 400;
  --mud-typography-subtitle1-lineheight: 1.75;
  --mud-typography-subtitle1-letterspacing: .00938em;
  --mud-typography-subtitle2-family: 'Roboto','Helvetica','Arial','sans-serif';
  --mud-typography-subtitle2-size: .875rem;
  --mud-typography-subtitle2-weight: 500;
  --mud-typography-subtitle2-lineheight: 1.57;
  --mud-typography-subtitle2-letterspacing: .00714em;
  --mud-typography-body1-family: 'Roboto','Helvetica','Arial','sans-serif';
  --mud-typography-body1-size: 1rem;
  --mud-typography-body1-weight: 400;
  --mud-typography-body1-lineheight: 1.5;
  --mud-typography-body1-letterspacing: .00938em;
  --mud-typography-body2-family: 'Roboto','Helvetica','Arial','sans-serif';
  --mud-typography-body2-size: .875rem;
  --mud-typography-body2-weight: 400;
  --mud-typography-body2-lineheight: 1.43;
  --mud-typography-body2-letterspacing: .01071em;
  --mud-typography-button-family: 'Roboto','Helvetica','Arial','sans-serif';
  --mud-typography-button-size: .875rem;
  --mud-typography-button-weight: 500;
  --mud-typography-button-lineheight: 1.75;
  --mud-typography-button-letterspacing: .02857em;
  --mud-typography-caption-family: 'Roboto','Helvetica','Arial','sans-serif';
  --mud-typography-caption-size: .75rem;
  --mud-typography-caption-weight: 400;
  --mud-typography-caption-lineheight: 1.66;
  --mud-typography-caption-letterspacing: .03333em;
  --mud-typography-overline-family: 'Roboto','Helvetica','Arial','sans-serif';
  --mud-typography-overline-size: .75rem;
  --mud-typography-overline-weight: 400;
  --mud-typography-overline-lineheight: 2.66;
  --mud-typography-overline-letterspacing: .08333em;
  --mud-zindex-drawer: 1100;
  --mud-zindex-appbar: 1200;
  --mud-zindex-dialog: 1300;
  --mud-zindex-popover: 1400;
  --mud-zindex-snackbar: 1500;
  --mud-zindex-tooltip: 1600;
}
